Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.ocm
Class OCMcontextSupport.SubContextSupport

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
            |
            +--com.jxml.quick.ocm.OCMcontextSupport.SubContextSupport

All Implemented Interfaces:
  OCMbase.SubBase, OCMcontext, OCMsink.SubSink, OCMsource.SubSource

Direct Known Subclasses:
  Conv.SubConv, Counter.SubCounter, Counter.SubCounter, Counter.SubCounter, QDML2QJML.SubQdml2Qjml, QIML2JAVA.SubQIML2JAVA, QVErrorContext.SubErrorContext

Enclosing class:
  OCMcontextSupport

public class OCMcontextSupport.SubContextSupport
extends OCMsinkSupport.SubSinkSupport
implements OCMcontext, OCMsource.SubSource

Field Summary
`Object` | `dataModelRoot`
`DocumentHandler` | `destination` The destination for SAX events.
`QDoc` | `outputDoc` The output document.
`HashMap` | `peers` A map of peers.
`OCMrootPeer` | `rootPeer` The peer of the root data model object.
`StringBuffer` | `sb` Generally useful for non-xml output.

Fields inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`cl, docName, inputDoc, properties, subSource, subValidator`

Constructor Summary
`OCMcontextSupport.SubContextSupport(HashMap prior)`

Method Summary
`Object` | `dataModelRoot(QDoc inputDoc)`
`String` | `express()` Generate an XML document (or other text).
`void` | `express(PrintWriter pw)` Generate an XML document (or other text).
`ClassLoader` | `getClassLoader()`
`DocumentHandler` | `getDestination()` Returns the SAX event destination, if any.
`QDoc` | `getDoc()` Returns the document.
`QDoc` | `getInputDoc()` Returns the input document.
`String` | `getPUBLIC()`
`String` | `getRootTag()`
`QDoc` | `getSchemaDoc()` Returns the schema document.
`StringBuffer` | `getStringBuffer()` Returns the string buffer used for non-xml output
`String` | `getSYSTEM()`
`OCMpeer` | `peer(Object dataModel, OCMpeer parent)` Returns the peer object.
`OCMpeer` | `rootPeer()` Returns the root peer object.
`void` | `setClassLoader(ClassLoader cl)`
`void` | `setDestination(DocumentHandler destination)` Sets the SAX event destination.
`void` | `setStringBuffer(StringBuffer sb)` Sets the string buffer used for non-xml output

Methods inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`expressFile, getInputSchemaDoc, getProperties, getSubSource, setDocName, setInputDocName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.ocm.OCMcontext
`getInputSchemaDoc, getProperties`

Methods inherited from interface com.jxml.quick.ocm.OCMsource.SubSource
`setInputDocName, setProperties`

Field Detail

### sb

    public StringBuffer sb

  Generally useful for non-xml output.

### rootPeer

    public OCMrootPeer rootPeer

  The peer of the root data model object.

### peers

    public HashMap peers

  A map of peers.

### outputDoc

    public QDoc outputDoc

  The output document.

### destination

    public DocumentHandler destination

  The destination for SAX events. Used for peer initialization when the root peer extends QConverterSupport

### dataModelRoot

    public Object dataModelRoot

Constructor Detail

### OCMcontextSupport.SubContextSupport

    public OCMcontextSupport.SubContextSupport(HashMap prior)

Method Detail

### getStringBuffer

    public StringBuffer getStringBuffer()

  Description copied from interface: `OCMcontext`
  Returns the string buffer used for non-xml output
  Specified by:
    `getStringBuffer` in interface `OCMcontext`

### setStringBuffer

    public void setStringBuffer(StringBuffer sb)

  Description copied from interface: `OCMcontext`
  Sets the string buffer used for non-xml output
  Specified by:
    `setStringBuffer` in interface `OCMcontext`

### getSchemaDoc

    public QDoc getSchemaDoc()
                      throws SAXException,
                             IOException

  Description copied from interface: `OCMcontext`
  Returns the schema document.
  Specified by:
    `getSchemaDoc` in interface `OCMcontext`

### getDestination

    public DocumentHandler getDestination()

  Description copied from interface: `OCMcontext`
  Returns the SAX event destination, if any. (With OCMpeerSupportLite, this method would return null.)
  Specified by:
    `getDestination` in interface `OCMcontext`

### setDestination

    public void setDestination(DocumentHandler destination)

  Description copied from interface: `OCMcontext`
  Sets the SAX event destination.
  Specified by:
    `setDestination` in interface `OCMcontext`

### peer

    public OCMpeer peer(Object dataModel,
                        OCMpeer parent)
                 throws SAXException,
                        IOException

  Description copied from interface: `OCMcontext`
  Returns the peer object.
  Specified by:
    `peer` in interface `OCMcontext`

### rootPeer

    public OCMpeer rootPeer()
                     throws SAXException,
                            IOException

  Description copied from interface: `OCMcontext`
  Returns the root peer object.
  Specified by:
    `rootPeer` in interface `OCMcontext`

### dataModelRoot

    public Object dataModelRoot(QDoc inputDoc)

### getInputDoc

    public QDoc getInputDoc()
                     throws SAXException,
                            IOException

  Description copied from class: `OCMsinkSupport.SubSinkSupport`
  Returns the input document.
  Overrides:
    `getInputDoc` in class `OCMsinkSupport.SubSinkSupport`

### getDoc

    public QDoc getDoc()
                throws SAXException,
                       IOException

  Description copied from interface: `OCMsource.SubSource`
  Returns the document.
  Specified by:
    `getDoc` in interface `OCMsource.SubSource`

### express

    public String express()
                   throws SAXException,
                          IOException

  Description copied from interface: `OCMsink.SubSink`
  Generate an XML document (or other text).
  Overrides:
    `express` in class `OCMsinkSupport.SubSinkSupport`
  Following copied from interface: `com.jxml.quick.ocm.OCMsink.SubSink`
  Returns:
    The XML representation

### express

    public void express(PrintWriter pw)
                 throws SAXException,
                        IOException

  Description copied from interface: `OCMsink.SubSink`
  Generate an XML document (or other text).
  Overrides:
    `express` in class `OCMsinkSupport.SubSinkSupport`
  Following copied from interface: `com.jxml.quick.ocm.OCMsink.SubSink`
  Parameters:
    `PW` - PrintWriter where the XML document is to be written.

### getPUBLIC

    public String getPUBLIC()

  Specified by:
    `getPUBLIC` in interface `OCMcontext`

### getSYSTEM

    public String getSYSTEM()

  Specified by:
    `getSYSTEM` in interface `OCMcontext`

### getRootTag

    public String getRootTag()

  Specified by:
    `getRootTag` in interface `OCMcontext`

### getClassLoader

    public ClassLoader getClassLoader()

  Specified by:
    `getClassLoader` in interface `OCMcontext`

### setClassLoader

    public void setClassLoader(ClassLoader cl)

  Specified by:
    `setClassLoader` in interface `OCMcontext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD